<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2014 Ext-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Ext-Joom.com
# Websites:  http://www.ext-joom.com 
# Date modified: 08/12/2013 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die ;
if(!defined('DS')){
	define('DS',DIRECTORY_SEPARATOR);
}


// Params
//------------------------------------------------------------------------

$document 				= JFactory::getDocument();
$app					= JFactory::getApplication();

$document->addStyleSheet(JURI::base() . 'modules/mod_k2_superfish_categories/assets/css/superfish.css');

$ext_style_categories	= (int)$params->get('ext_style_categories', 0);
if ($ext_style_categories == 1) {	
	$document->addStyleSheet(JURI::base() . 'modules/mod_k2_superfish_categories/assets/css/superfish-vertical.css'); 	
}
if ($ext_style_categories == 2) {	
	$document->addStyleSheet(JURI::base() . 'modules/mod_k2_superfish_categories/assets/css/superfish-navbar.css');	
}	

$moduleclass_sfx 		= $params->get('moduleclass_sfx', '');
$ext_menu				= (int)$params->get('ext_menu', 1);
$ext_load_jquery		= (int)$params->get('ext_load_jquery', 1);
$ext_jquery_ver			= $params->get('ext_jquery_ver', '1.9.1');
$ext_load_base			= (int)$params->get('ext_load_base', 1);
$animation				= $params->get('animation');
$delay					= $params->get('delay');
$speed					= $params->get('speed');
$cssArrows				= $params->get('autoarrows');
$class_cssArrows		= '';
if ($cssArrows===true) {
	$class_cssArrows = 'sf-arrows';
}

// Load Script
//------------------------------------------------------------------------

if ($ext_menu == 1) 
{
$ext_script = <<<SCRIPT


var jQ = false;
function initJQ() {
	if (typeof(jQuery) == 'undefined') {
		if (!jQ) {
			jQ = true;
			document.write('<scr' + 'ipt type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/$ext_jquery_ver/jquery.min.js"></scr' + 'ipt>');
		}
		setTimeout('initJQ()', 50);
	}
}
initJQ();  
 
 if (jQuery) jQuery.noConflict(); 
   


SCRIPT;

	if ($ext_load_jquery  > 0) {
		$document->addScriptDeclaration($ext_script);		
	}
	if ($ext_load_base > 0) {
		$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_k2_superfish_categories/assets/js/hoverIntent.js"></script>');	
		$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_k2_superfish_categories/assets/js/superfish.js"></script>');
	}
}



// K2
//------------------------------------------------------------------------

if (K2_JVERSION != '15')
{
    $language = JFactory::getLanguage();
    $language->load('mod_k2.j16', JPATH_ADMINISTRATOR, null, true);
}

require_once (dirname(__FILE__).DS.'helper.php');



if (K2_JVERSION == '15')
{
    JHTML::_('behavior.mootools');
}
else
{
    JHTML::_('behavior.framework');

}

$output = modK2SuperfishCategoriesHelper::treerecurse($params, 0, 0, true);
require JModuleHelper::getLayoutPath('mod_k2_superfish_categories', $params->get('layout', 'default'));
